Incompatibility with xinerama extensions?

Compiling, libraries, modules, coding guidelines and porting

Moderators: jesterKing, stiv

Post Reply
lugalbanda
Posts: 1
Joined: Tue Jun 03, 2003 6:00 pm

Incompatibility with xinerama extensions?

Post by lugalbanda » Tue Jun 03, 2003 6:06 pm

I am trying to run Blender 2.7 on my Linux box (RH 9.0)--the only remarkable thing about it is that I've set up two monitors using xinerama, not with a dual-head card but with an AGP GeForce 3 and a PCI ATI Radeon 7500. It's actually very good for normal GUI apps, but Blender will only ever fill the first monitor (running off the AGP card), but more annoyingly, is scaled as though it were filling both :!: The monitors and X screens are configured side-by-side.

Has anyone come across problems using Blender with xinerama in X?

Thank you :arrow:
Tyson

alien-xmp
Posts: 217
Joined: Sun Apr 06, 2003 2:22 pm
Location: Wellington, New Zealand
Contact:

Post by alien-xmp » Wed Jun 04, 2003 3:27 am

Yep, no Xinerama support.
The workaround is to launch blender in a window.
From blender -h:
Window options:
-w Force opening with borders
-p <sx> <sy> <w> <h> Open with lower left corner at <sx>, <sy>
and width and height <w>, <h>


I can send you a patch to do Xinerama properly, but I don't have dual head, so it will be untested. :twisted:

alien-xmp
Posts: 217
Joined: Sun Apr 06, 2003 2:22 pm
Location: Wellington, New Zealand
Contact:

Post by alien-xmp » Thu Jun 05, 2003 3:13 am

OK, I posted a patch on my website, if someone with Xinerama can test it (and it works) I'll submit it to the main tree.

Post Reply

Who is online

Users browsing this forum: No registered users and 1 guest